Set size overrides
- PUT /deployments/{deployment_id}/{resource_kind}/{ref_id}/instances/overrides
Applies size overrides for all of the instances belonging to the given resource. Instance size overrides will be reset with the next plan change.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
resource_kindstringrequired -
The kind of resource. Only Elasticsearch resources are currently supported.
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
Query Parameters
-
restart_after_updateboolean · default: false After overrides are set, restarts the instance to apply the changes.
Request
The overrides to apply to all instances. Capacity overrides the RAM size in MB of the instance, and storage multiplier overrides the multiplier of the instance RAM size that determines the storage quota of the instance. Capacity must be in the range [1024, <<instance configuration max increment, typically 65536>>] and storage multiplier must be in the range [1.0, 1000.0].
-
capacityinteger -
Sets the memory capacity for the instances container. Requires a restart to take effect.
-
storage_multipliernumber -
Overrides the disk quota multiplier for the instance
Responses
The updated overrides
-
capacityinteger -
Sets the memory capacity for the instances container. Requires a restart to take effect.
-
storage_multipliernumber -
Overrides the disk quota multiplier for the instance
- The deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot by found. (code:
deployments.deployment_resource_not_found) - The specified override was out of range. Capacity must be in the range [1024, <<instance configuration max increment, typically 65536>>] and storage multiplier must be in the range [1.0, 1000.0]. (code:
instance_overrides.out_of_range)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response